package game

import (
	"fmt"
)

func (gm *Game) SaveQuote(usrId string, quoteId string, quoteText string) error {
	quote, err := gm.getQuoteById(quoteId)
	if err != nil {
		return err
	}

	if quote.GetSourceId() != usrId {
		return fmt.Errorf("usrId does not match quote source id")
	}

	fmt.Printf("%v\n", quote)

	return fmt.Errorf("Game::SaveQuote() not yet implemented")
}
